Nini Library API Reference - http://nini.sourceforge.net/ |

# IniWriter.WriteKey Method (String, String, String)

Writes a key to a section with a comment.

public void WriteKey(
string key,
string value,
string comment
);

#### Parameters

key
  Key name
value
  Key value.
comment
  Comment text.

#### Exceptions

Exception Type | Condition
--- | ---
IniException | A WriteState error occurred or the document was closed.

#### See Also

IniWriter Class | Nini.Ini Namespace | IniWriter.WriteKey Overload List